/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

volatile uint32 gTick = 0;

// SysTick Interrupt Handler
CY_ISR(SysTick_Handler)
{
    gTick++; 
}

// Delay Routine
void Delay(uint32 tick_delay)
{
    uint32 tick_entry = gTick;
    // wait for tick
    while((gTick - tick_entry) < tick_delay);
}

void main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    // Set the SysTick Interrupt Vector (=15) in Vector Table in RAM
    CyIntSetSysVector(15, (cyisraddress)SysTick_Handler);
    // Start SysTick Periodic Interrupt
    SysTick_Config(BCLK__BUS_CLK__HZ/1000); // SysTick=1000Hz(1ms)
    // Enable Interrupt Detection
    CYGlobalIntEnable; // uncomment

    for(;;)
    {
        /* Place your application code here. */
        
        LED_Write(~LED_Read()); // Toggle LED Terminal
        Delay(500); // 500ms
    }
}

/* [] END OF FILE */
